/* GraphDieWidget.h */

#ifndef __GRAPHDIEWIDGET_H
#define __GRAPHDIEWIDGET_H

#include "DieWidget.h"
#include <string>
#include <map>

using std::map;
using std::string;

class GraphDieWidget : public DieWidget
{
  public:
    /// constructor takes the Die object
    GraphDieWidget (Die *poDie);

  protected:
    /// display the current state of the die 
    virtual void DrawDie (void);

    /// display the die rolling view
    virtual void Roll (void);

  private:
    /// bitmap for each position
    map<int, string> *m_poBitmaps;
};


#endif
