Summary: A curses based Snakes and Ladders game
Name: sl
Version: 1.1
Release: 1
License: GPL
Group: Games
Source: sl-1.1.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
URL: http://aruna.freeshell.org/sl/
Packager: Aruna M. Naik <aruna@freeshell.org>

%description
sl is a curses based Snakes and Ladders game. Upto 6 players can play this
game. The UI is simple and intuitive. Users can design and save their own
boards.

sl was originally developed as a OOPC project in November 2000. We recently
revived the project and ironed out the kinks in the game.

Entertainment for the whole family.

%prep
%setup -q

%build
./configure --prefix=$RPM_BUILD_ROOT/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin

make install
mkdir -p $RPM_BUILD_ROOT/etc/slrc
cp defboard.map $RPM_BUILD_ROOT/etc/slrc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog help.txt

/usr/bin/sl
/etc/slrc/defboard.map

%post
